prepare_test()
{ 
    return
} 

run_test()
{
    test_script="$1"
    export TOP_BUILDDIR="$AUTOPKGTEST_TMP"
    export TOP_SRCDIR="$AUTOPKGTEST_TMP"
    cp -a test "$AUTOPKGTEST_TMP/test"
    ln -s /usr/bin "$AUTOPKGTEST_TMP/src"
    rc=0
    cd "$AUTOPKGTEST_TMP/test"
    echo -n "$test_script ... "
    : > "${test_script}.out"
    if ! prepare_test
    then
        echo ERROR
    elif ./"$test_script" 2>>"${test_script}.out"
    then
        echo ok
    else
        echo FAIL
        rc=1
    fi
    sed -e 's/^/| /' < "${test_script}.out"
    return $rc
}

# vim:ts=4 sw=4 et
